// Learn TypeScript:
//  - [Chinese] https://docs.cocos.com/creator/manual/zh/scripting/typescript.html
//  - [English] http://www.cocos2d-x.org/docs/creator/manual/en/scripting/typescript.html
// Learn Attribute:
//  - [Chinese] https://docs.cocos.com/creator/manual/zh/scripting/reference/attributes.html
//  - [English] http://www.cocos2d-x.org/docs/creator/manual/en/scripting/reference/attributes.html
// Learn life-cycle callbacks:
//  - [Chinese] https://docs.cocos.com/creator/manual/zh/scripting/life-cycle-callbacks.html
//  - [English] http://www.cocos2d-x.org/docs/creator/manual/en/scripting/life-cycle-callbacks.html

const {ccclass, property} = cc._decorator;

@ccclass
export default class TiledMap extends cc.Component {

    @property(cc.TiledMap)
    TiledMap: cc.TiledMap = null;

    // LIFE-CYCLE CALLBACKS:

    onLoad () {
        
    }

    start () {
        var _tiledMap = this.TiledMap;
        _tiledMap.node.zIndex = -1
        cc.loader.loadRes("map1.tmx",function(err,map){
            _tiledMap.tmxAsset = map;
            this.mapLoadSuccess();
        }.bind(this))
    }
}
